/**
 * @(#)SVGText.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/17
 */
package jp.co.iti.fagot.xml;

/* java */

/* W3C DOM */
import	org.w3c.dom.Document;

/* fagot */
import	jp.co.iti.fagot.xml.SVGElement;

/**
 * SVGText
 */
public class SVGText	extends	SVGElement	implements	ISVG{
	
	/**
	 * コンストラクタ
	 * @param	String RootElementName ルートエレメント名("ProjrctUnit"等)
	 * @param	String SystemID        システムID("site.dtd"等)
	 * @return	none
//	 * @exception
//	 * @see
	 * @since	0.00
	 * @deprecated 
	 * DOMツリーを新規に作成する
	 *   ・docフィールドに新規に作成したDOMツリーのDocumentを設定
	 *   ・rootフィールドに新規に作成したDOMツリーのDocumentの
	 *     ルートエレメントを設定
	 */
	public SVGText(Document doc){
		super(doc ,TEXT);
	}
	
	public SVGText(Document doc	,String x ,String y ,String text ,SVGStyle style){
		this(doc);
		if(null!=x)		setAttribute(X	,x);
		if(null!=y)		setAttribute(Y	,y);
		if(null!=text)	setText(text);
		if(null!=style){
			setAttribute(STYLE	,style.toString());
			myStyle = new SVGStyle(style);
		}
	}

}